CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
MetadataFieldGroup Class Reference

Class that builds on the foldering functionality to provide groups of metadata fields. More...

Inheritance diagram for MetadataFieldGroup:
[legend]
Collaboration diagram for MetadataFieldGroup:
[legend]

## Public Member Functions
| GetFields ()
| Get the items of the metadata field group as objects instead of IDs.
| GetFieldCount ()
| Get the number of metadata fields this group holds.
Public Member Functions inherited from Folder
| Folder ($FolderId)
| Object constructor – load an existing folder.
| Delete ()
| Delete folder.
| Id ()
| Get folder ID.
| Name ($NewValue=DB_NOVALUE)
| Get/set folder name.
| NormalizedName ($NewValue=DB_NOVALUE)
| Get/set normalized version of folder name.
| IsShared ($NewValue=DB_NOVALUE)
| Get/set whether folder is publically-viewable.
| OwnerId ($NewValue=DB_NOVALUE)
| Get/set user ID of folder owner.
| Note ($NewValue=DB_NOVALUE)
| Get/set note text for folder.
| InsertItemBefore ($TargetItemOrItemId, $NewItemOrItemId, $TargetItemType=NULL, $NewItemType=NULL)
| Insert item into folder before specified item.
| InsertItemAfter ($TargetItemOrItemId, $NewItemOrItemId, $TargetItemType=NULL, $NewItemType=NULL)
| Insert item into folder after specified item.
| PrependItem ($ItemOrItemId, $ItemType=NULL)
| Add item to folder as the first item.
| AppendItem ($ItemOrItemId, $ItemType=NULL)
| Add item to folder as the last item.
| GetItemIds ()
| Retrieve array of IDs of items in folder, in the order that they appear in the folder.
| RemoveItem ($ItemId, $ItemType=NULL)
| Remove item from folder, if present.
| NoteForItem ($ItemId, $NewValue=DB_NOVALUE, $ItemType=NULL)
| Get/set note text for specific item within folder.
| ContainsItem ($ItemId, $ItemType=NULL)
| Check whether specified item is contained in folder.

## Protected Attributes
| $FieldCount

## Additional Inherited Members
Static Public Member Functions inherited from Folder
static | NormalizeFolderName ($Name)
| Convert folder name to normalized form (lower-case alphanumeric only).
Public Attributes inherited from Folder
const | MIXEDCONTENT = -1

## Detailed Description

Class that builds on the foldering functionality to provide groups of metadata fields.

Definition at line 7 of file MetadataFieldGroup.php.

## Member Function Documentation

MetadataFieldGroup::GetFieldCount | ( |  | ) |

Get the number of metadata fields this group holds.

Returns
  int the number of metadata fields this group holds

Definition at line 31 of file MetadataFieldGroup.php.

References $FieldCount, and Folder\GetItemIds().

MetadataFieldGroup::GetFields | ( |  | ) |

Get the items of the metadata field group as objects instead of IDs.

Returns
  array an array of metadata field objects

Definition at line 14 of file MetadataFieldGroup.php.

References $Items, and Folder\GetItemIds().

## Member Data Documentation

MetadataFieldGroup::$FieldCount
| protected

Definition at line 44 of file MetadataFieldGroup.php.

Referenced by GetFieldCount().

The documentation for this class was generated from the following file:

- objects/MetadataFieldGroup.php